Subject: RE: [Isis-wg] Proprietary / Private TLV numbers?

From: Neal Castagnoli <[email-masked]>
Date: Fri, 12 Jul 2002 11:39:44 -0700

> From: Naiming Shen [mailto:[email-masked]]

> recalculate when some irrelavant information changes. for example,
> some TE bandwidth info change in LSPs WILL NOT cause a reasonable
                                                           ^^^^
> implementation to rerun SPF.

Naiming,

I think this is implementation dependent, and you can have reasonable
implementations that run SPF whenever there is a change to the LSP's
variable part or other relevent fields.

Some might say the complexity and potential attendant error in suppressing
SPF runs isn't worth it.  There is a very high cost to incorrectly
suppressing an SPF (routing loops, etc), and so if the time to run SPF is
low enough, perhaps you are better of just doing it.

Meanwhile, if the implementation's SPF takes an unacceptably long time, then
perhaps the added complexity is worth it.

 --Neal

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg

---

From: Naiming Shen <[email-masked]>
Date: Sun, 14 Jul 2002 19:40:49 -0700

] 
 ] > From: Naiming Shen [mailto:[email-masked]]
 ] 
 ] > recalculate when some irrelavant information changes. for example,
 ] > some TE bandwidth info change in LSPs WILL NOT cause a reasonable
 ]                                                            ^^^^
 ] > implementation to rerun SPF.
 ] 
 ] Naiming,
 ] 
 ] 
 ] I think this is implementation dependent, and you can have reasonable
 ] implementations that run SPF whenever there is a change to the LSP's
 ] variable part or other relevent fields.
 ] 
 ] Some might say the complexity and potential attendant error in suppressing
 ] SPF runs isn't worth it.  There is a very high cost to incorrectly
 ] suppressing an SPF (routing loops, etc), and so if the time to run SPF is
 ] low enough, perhaps you are better of just doing it.
 ] 
 ] Meanwhile, if the implementation's SPF takes an unacceptably long time, then
 ] perhaps the added complexity is worth it.

Yes. this is an implementation issue. I was only refering to the
assumption should not be made that any change inside LSPs WILL
automatically trigger the calculation. If an implementation choose
to constantly run the calculation even without any change, which would
be fine too. actually that would further simplify the protocol
issue...

thanks.
- Naiming

---

From: Tony Przygienda <[email-masked]>
Date: Sun, 14 Jul 2002 20:34:19 -0700

>be fine too. actually that would further simplify the protocol
yep, that's purely implementation, not up to us to standardize. Everyone 
here violently agrees.
The section could read .e.g   'MAY choose to not rerun SPF' ...

    thanks

    -- tony